@import '../../styles/mixins'
@import '../../styles/variables'

@keyframes slideInFromBottom
    0%
        transform translateY(50px)
    100%
        transform translateY(0)

@keyframes slideOutToTop
    0%
        transform translateY(0)
    100%
        transform translateY(-50px)


.strapline
    font-size $fz--base * $ratio ** 3
    +above(5)
        font-size $fz--base * $ratio ** 4
    text-align center
    margin $sp--triple auto $sp
    font-family $ff--heading
    font-weight bold

    &__text
        display inline-block
        min-height $sp * 2
        +above(5)
            min-height $sp * 3
        overflow hidden
        width 80%
        +above(5)
            width auto

    &__highlight
        display inline-block
        position relative
        width $sp * 8
        height $sp * 2
        +above(5)
            height $sp * 3
        overflow hidden

    &__highlight-inner
        position absolute
        width 100%
        text-align center
        top 0
        left 0
        transition transform 0.3s, opacity 1s
        transition-timing-function ease-in-out

        &.--hidden
            display none

        &.--current
            transform translateY(0)

        &.--in
            transform translateY(100%)
            opacity 1

        &.--out
            transform translateY(-100%)
            opacity 0
